Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class SupportedOrganization

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.OrganizationDescriberType
          be.fgov.ehealth.aa.complextype.v1.SupportedOrganization

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class SupportedOrganization

extends OrganizationDescriberType
implements Serializable

Info on supported organization.

Java class for SupportedOrganizationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportedOrganizationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationDescriberType">
           <attribute ref="{urn:be:fgov:ehealth:aa:complextype:v1}resourceEnumeration use="required""/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SupportedOrganization()`

Method Summary
`String` | `getResourceEnumeration()` Gets the value of the resourceEnumeration property.
`void` | `setResourceEnumeration(String value)` Sets the value of the resourceEnumeration property.

Methods inherited from class be.fgov.ehealth.aa.complextype.v1.OrganizationDescriberType
`getAllowedBaseServices, getAttribute, getCheckDigit, getOrganizationType, getOrganizationTypeCode, getOrganizationTypeFriendlyNames, getRegex, setAllowedBaseServices, setAttribute, setCheckDigit, setOrganizationType, setOrganizationTypeCode, setRegex`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportedOrganization

    public SupportedOrganization()

Method Detail

### getResourceEnumeration

    public String getResourceEnumeration()

  Gets the value of the resourceEnumeration property.

  Returns:
    possible object is `String`

### setResourceEnumeration

    public void setResourceEnumeration(String value)

  Sets the value of the resourceEnumeration property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.